## bug 2.95

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all: bug

bug: bug.in
	VER=`dpkg-parsechangelog | grep 'Version: [0-9\.]*$$'` ; \
	VER=$${VER#Version: } ; \
	sed -e "s/@VER@/$$VER/g" < bug.in > bug
	chmod +x bug

clean:
	rm -f bug build

install:	
	install bug $(DESTDIR)/usr/bin

=== debian/changelog ===
bug (2.95) stable unstable; urgency=low

  * Removed debmake items from changelog.
  * Corrected regexp so bug can get the username from /etc/passwd even when
    it has dots, fixes bug #10527.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Mon, 23 Jun 1997 22:15:34 -0300

bug (2.94) frozen unstable; urgency=low

  * Exits when no editor can be found.
  * Removes editor backup. Fixes #9327.
  * Fixed checking for `/bin/ae'. Fixes #9306.
  * Regexp used to find users in /etc/passwd made stricter, this fixes
    problem with NIS. Fixes bug #9335.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Mon, 5 May 1997 16:45:50 -0300

bug (2.93) frozen unstable; urgency=low

  * Added '+' as a valid character for a the package name,
    fixes #8804 and #8285.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Fri, 18 Apr 1997 16:26:41 -0300

bug (2.92) frozen unstable; urgency=low

  * Changed way to get user's address.
  * Fixed bug when using the `-x' option (empty From: header).
  * Ops.. message tranlated to English (fixes #8260).

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Sun, 23 Mar 1997 14:34:02 -0300

bug (2.91) unstable; urgency=low

  * Added `-h' option to set custom headers. Updated the manpage.
  * Added X-Mailer header with `bug' version.
  * Added `-v' option to show version. Changed makefile to `build' script
    with sed to update version.
  * If there's no mail-transport-agent save bug report in
    /var/tmp/package.bug
  * No longer uses mail, so removed mailx from dependencies. Now it
    recommends mail-transport-agent.
  * Uses $REPLYTO to set that header (fixes #8084).
  * Handle spaces in $EMAIL (Fixes #8125).
  * Updated manpage.
  * Changed `#!/bin/sh' to `#!/bin/bash' since `bug' uses bash's features.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Wed, 12 Mar 1997 19:57:34 -0300

bug (2.90) unstable; urgency=low

  * Uses readline to ask for subject.
  * Corrected stupid error #7978. I'm sorry. It won't happen again.. =)

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Mon, 10 Mar 1997 22:06:44 -0300

bug (2.89) unstable; urgency=low

  * Added invalid package name detection (fixes bug #6660).

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Sat, 8 Mar 1997 16:41:28 -0300

bug (2.88) unstable; urgency=low

  * Doesn't use bash 2.0 features to detect and quit if bash < 2.0 =).

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Fri, 7 Mar 1997 12:35:33 -0300

bug (2.87) unstable; urgency=low

  * If environmental variable EMAIL is defined, use it as CC address
    (fixes bug #7719).
  * Redirected error output to stderr and added `bug: ' to messages.
  * Added README file.
  * Discard packages that are in `config-files only' state when checking for
    virtual packages.
  * Replaced external utilities invocations with new internal bash features.
    (REQUIRES BASH >=2.0!)

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Fri, 7 Mar 1997 02:04:40 -0300

bug (2.86) unstable; urgency=low

  * It now uses bash internal getopts (patch from Farzad Farid).
  * Better interaction with joe.
  * Manpage updated.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Thu, 13 Feb 1997 18:47:58 -0300

bug (2.85) unstable; urgency=low

  * Ask the user to describe the problem in one line if subject is not
    given by -s.
  * New maintainer.

 -- Nicols Lichtmaier <nick@feedback.com.ar>  Wed, 12 Feb 1997 05:31:38 -0300

bug (2.84) unstable; urgency=low

  * Recognize | in dependencies #7087

 -- Christoph Lameter <clameter@debian.org>  Mon, 3 Feb 1997 14:16:27 -0800

bug (2.83) unstable; urgency=low

  * Text given on the commandline was not included in bug report!
  * Process options with getopt. Send cc to bug reporter if not suppressed
    with -x option.

 -- Christoph Lameter <clameter@debian.org>  Mon, 3 Feb 1997 09:12:11 -0800

bug (2.82) unstable; urgency=low

  * Remove \n at the end of config files.
  * Fix to manpage by Farzad FARID #6950

 -- Christoph Lameter <clameter@debian.org>  Thu, 30 Jan 1997 08:52:48 -0800

bug (2.81) unstable; urgency=low

  * Send mail with -d to postmaster instead of postmaster@localhost #6639

 -- Christoph Lameter <clameter@debian.org>  Tue, 28 Jan 1997 21:07:37 -0800

bug (2.80) unstable; urgency=low

  * Depend on mailx instead of mail-transport-agent.

 -- Christoph Lameter <clameter@debian.org>  Mon, 27 Jan 1997 19:00:54 -0800

bug (2.79) unstable; urgency=low

  * Add dependency to mail-transport agent #6847

 -- Christoph Lameter <clameter@debian.org>  Sun, 26 Jan 1997 13:32:29 -0800

bug (2.78) unstable; urgency=low

  * When falling back to the ae editor give an errormessage if not present.
  * Corrected section
  * Cleanup some debmake remnants

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:51:09 -0800

bug (2.77) unstable; urgency=low

  * Bug put in separate sourcepackage. Looking for a volunteer to infuse
    some fresh ideas into the package.
 
 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 10:17:24 -0800

debmake (2.74) unstable; urgency=low

  * bug: default to ae editor if joe is not present #5675, #6811

 -- Christoph Lameter <clameter@debian.org>  Thu, 23 Jan 1997 21:47:39 -0800

debmake (2.70) unstable; urgency=low

  * bug: give a correct errormessage if packagename not specified instead of
    failing with a shell error.

 -- Christoph Lameter <clameter@debian.org>  Fri, 17 Jan 1997 15:40:01 -0800

debmake (2.57) unstable; urgency=low

  * bug: Bug#5619 treat conffiles without \n at the end correctly

 -- Christoph Lameter <clameter@debian.org>  Sat, 11 Jan 1997 21:15:27 -0800

debmake (2.56) unstable; urgency=low

  * bug: -z option added to forbid removal of comments and empty lines from
    configfiles.

 -- Christoph Lameter <clameter@debian.org>  Thu, 9 Jan 1997 07:35:10 -0800

debmake (2.54) unstable; urgency=low

  * bug: Christian Schwarz: Ability to redirect bug report to stdout.

 -- Christoph Lameter <clameter@debian.org>  Sun, 5 Jan 1997 21:17:23 -0800

debmake (2.06) unstable; urgency=low



=== debian/control ===
Source: bug
Section: utils
Priority: optional
Maintainer: Nicols Lichtmaier <nick@feedback.com.ar>
Standards-Version: 2.1.3.0

Package: bug
Architecture: all
Depends: bash (>= 2.0-1), grep, perl, sed
Recommends: mail-transport-agent
Replaces: debmake
Description: Bug Reporting Tool interfacing with the Bug Tracking System
 A script to ease the reporting of bugs. Automatically figures out version
 numbers of the package reported and all depending packages. Adds configfiles
 etc to the bugreport.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=bug

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/*/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/*/tmp
	install -d debian/tmp/usr/bin
	make install DESTDIR=debian/tmp
	debstd README
	dpkg-gencontrol -pbug
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## bug 3.1.5

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all: bug
	make -C po

bug: bug.sh
	touch debian/substvars
	VER=`dpkg-parsechangelog | grep 'Version: [0-9\.]*$$'` ; \
	VER=$${VER#Version: } ; \
	sed -e "s/@VER@/$$VER/g" < $< > $@
	chmod +x bug

po:
	make -C po

po/messages.pot: bug
	./sh_xgettext $^ > $@

clean:
	rm -f bug build *~ core
	make -C po clean

install:
	install bug $(DESTDIR)/usr/bin
	make -C po install DESTDIR=$(DESTDIR)

=== po/Makefile ===

all: es.mo

%.mo : %.po
	msgfmt -o $@ $<

%.po : bug.pot
	msgmerge -o $@ $@ $^

bug.pot: ../bug
	cd .. && po/sh_xgettext bug > po/bug.pot

clean:
	rm -f *.mo *~

install:
	install -d ../$(DESTDIR)/usr/share/locale/es/LC_MESSAGES
	install -m644 es.mo ../$(DESTDIR)/usr/share/locale/es/LC_MESSAGES/bug.mo

=== debian/changelog ===
bug (3.1.5) frozen unstable; urgency=low

  * Nicer list of dependencies, an idea from Joey Hess, fixes bug #22262.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Fri,  8 May 1998 23:42:09 -0300

bug (3.1.4) frozen unstable; urgency=low

  * Bug report can be aborted, fixes bugs #20118 and #21283.
  * Updated Spanish translation.
  * Fixed user choices handling.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sun, 19 Apr 1998 05:11:22 -0300

bug (3.1.3) unstable; urgency=low

  * Fixed invocation to `tempfile' (bugs #21115, #21210,
    #21223, #21223, #21228, #21237).

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Thu, 16 Apr 1998 22:11:00 -0300

bug (3.1.2) frozen unstable; urgency=low

  * Added a realpath shell function (I think realpath should be in
    debianutils), fixes #20939.
  * Traps SIGINT and removes temporary files, fixes bug #15306.
  * Uses tempfile to create temporary files, fixes bug #19817.
  * Updated Bash version check.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Thu,  9 Apr 1998 02:05:38 -0300

bug (3.1.1) frozen unstable; urgency=low

  * Changed dependency from perl to perl-base.
  * Updated `Standards-version' field to 2.4.0.0.
  * Now bug depends on bash 2.01.1-1, fixes bug #15907.
  * Fixes to i18n Makefile.
  * Positions correctly the cursor in editors that support "+linenum",
    not only in joe. Uses a better way to chech for the editor name.
  * Fall back to /usr/bin/editor instead of /usr/bin/joe, fixes bugs #20646,
    #15565 and #17631.
  * Renamed `intl' dir to `po' in source archive.
  * Added Spanish translation fixes from Santiago Vila, fixes bug #15962.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sun,  5 Apr 1998 14:36:37 -0300

bug (3.1.0) unstable; urgency=low

  * Skips non-world readable config files, fixes bug #15535.
  * Updated pseudo-packages list from the WWW, fixes bug #15622.
  * Ok, now check EDITOR before VISUAL, fixes bug #14346.
  * Fixed regexp used when checking if a package exists.
  * Localized for Spanish.
  * Added i18n support.
  * Typo fixed.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sun,  7 Dec 1997 23:54:28 -0300

bug (3.0.1) unstable; urgency=low

  * No longer quits if no packagename specified, fixes bug #15678.
  * Require parameter when using `-f'.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sat,  6 Dec 1997 18:29:24 -0300

bug (3.0.0) unstable; urgency=low

  * Added '-f' option to search whose package a file is, fixes #8632.
    Manpage updated.
  * Added instructions of how to submit extra information about
    the bug, fixes bug #9937.
  * If no package name specified, show info about pseudo-packages and
    ask the user, fixes bug #10661.
  * Fixed a bug when $EDITOR or $VISUAL has a space, fixes #14866, and
    should fix #10759.
  * Modified `-p' to make bug not invoke the editor,
    should fix bug #12222 and #14347.
  * Show what it's doing, fixes bug #11097.
  * Added --help,-h option; changed previous -h to -H, fixes bug #14741.
  * Tries to unlink the temporary file before using it.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sun, 30 Nov 1997 01:14:20 -0300

bug (2.96) stable unstable; urgency=low

  * Requires EMAIL environment variable if /etc/mailname doesn't exist,
    fixes bug #13667.
  * Changed maintainer address.
  * Doesn't abort if editor aborts, fixes bug #13752.
  * Added version to `Replaces: debmake'.
  * Uses a better regexp for detecting conffiles.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Fri, 25 Jul 1997 14:49:35 -0300

=== debian/control ===
Source: bug
Section: utils
Priority: optional
Maintainer: Nicols Lichtmaier <nick@feedback.net.ar>
Standards-Version: 2.4.0.0

Package: bug
Architecture: all
Depends: bash (>= 2.01.1-1), debianutils (>= 1.6), grep, perl-base, sed
Recommends: mail-transport-agent
Replaces: debmake (<= 2.74)
Description: Bug Reporting Tool interfacing with the Bug Tracking System
 A script to ease the reporting of bugs. Automatically figures out version
 numbers of the package reported and all depending packages. Adds configfiles
 etc to the bugreport.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,6 @@
 # my name from the file itself.  (I assert my moral right of
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
-
-# There used to be `source' and `diff' targets in this file, and many
-# packages also had `changes' and `dist' targets.  These functions
-# have been taken over by dpkg-source, dpkg-genchanges and
-# dpkg-buildpackage in a package-independent way, and so these targets
-# are obsolete.
 
 package=bug
 
@@ -23,10 +17,10 @@
 
 clean:
 	$(checkdir)
-	-rm -f build
-	-make clean
-	-rm `find . -name "*~"`
-	-rm -rf debian/tmp debian/*/tmp debian/files* core
+	rm -f build
+	make clean
+	rm -f `find . -name "*~"`
+	rm -rf debian/tmp debian/*/tmp debian/files* core
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -36,7 +30,7 @@
 
 binary-arch:	checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp debian/*/tmp
+	rm -rf debian/tmp debian/*/tmp
 	install -d debian/tmp/usr/bin
 	make install DESTDIR=debian/tmp
 	debstd README

## bug 3.1.7

=== debian/changelog ===
bug (3.1.7) unstable; urgency=low

  * Applied changes from non-maintainer upload from Joey Hess,
    fixes bugs #26427, #26342, #26125, #26092, #25958, #25920, #25645
    (unable to get dependency information), and #24129 (exits unexpectedly).

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sat, 17 Oct 1998 05:24:50 -0300

bug (3.1.6) unstable; urgency=low

  * Check for argument number. Fixes #25443.
  * Added dependency on `file'. Fixes bug #23735.
  * No longer strip lines starting with "#!" from conffiles, fixes bug #25353.
  * Bug was listing all installed packages when a package depended solely on
    virtual packages, fixes bugs #22571 and #22826.

 -- Nicols Lichtmaier <nick@feedback.net.ar>  Sun,  7 Jun 1998 12:34:23 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: bug
 Architecture: all
-Depends: bash (>= 2.01.1-1), debianutils (>= 1.6), grep, perl-base, sed
+Depends: bash (>= 2.01.1-1), debianutils (>= 1.6), grep, perl-base, sed, file
 Recommends: mail-transport-agent
 Replaces: debmake (<= 2.74)
 Description: Bug Reporting Tool interfacing with the Bug Tracking System

## bug 3.2.10

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all: bug bugview
	make -C po

version:
	touch debian/substvars
	VER=`dpkg-parsechangelog | grep 'Version: [0-9\.]*$$'` ; \
	VER=$${VER#Version: } ; \
	echo $$VER > $@

bug: bug.sh version
	sed -e "s/@VER@/$$(cat version)/g" < $< > $@
	chmod +x bug

bugview: bugview.sh version
	sed -e "s/@VER@/$$(cat version)/g" < $< > $@
	chmod +x bugview

po:
	make -C po

po/messages.pot: bug bugview
	./sh_xgettext $^ > $@

clean:
	rm -f bug bugview version build *~ core DEADJOE
	make -C po clean

install:
	install bug $(DESTDIR)/usr/bin
	install bugview $(DESTDIR)/usr/bin
	make -C po install DESTDIR=$(DESTDIR)

=== po/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 %.po : bug.pot
 	msgmerge -o $@ $@ $^
 
-bug.pot: ../bug
-	cd .. && po/sh_xgettext bug > po/bug.pot
+bug.pot: ../bug ../bugview
+	cd .. && po/sh_xgettext bug bugview > po/bug.pot
 
 clean:
 	rm -f *.mo *~

=== debian/changelog ===
bug (3.2.10) frozen unstable; urgency=low

  * `-x' option now works again (closes:Bug#56483).
  * Updated `-d' description in manpages (closes:Bug#56494).
  * Updated the virtual package of the installation disks to
    `boot-floppies' (closes:Bug#58217).

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 20 Feb 2000 15:01:44 -0300

bug (3.2.9) frozen unstable; urgency=low

  * `-d' option now send bug report to current user, not to postmaster. This
    has always been silly, why the postmaster of a domain should get a test of
    the bug package? (closes:Bug#54175).
  * If invoked from root, now bug ask for a non-root user and executes
    itself with su (closes:Bug#29707).
  * Security fix: Now bug refuses to send a bug report from *any* system
    user. It take the list of users from the base-passwd package. This
    kind of users may have access to information that may be sensitive.
    Bug doesn't send files that are not readable by anyone, but it's better
    to be in the safe side (closes:Bug#47568).

 -- Nicols Lichtmaier <nick@debian.org>  Sat, 22 Jan 2000 17:20:01 -0300

bug (3.2.8) unstable; urgency=medium

  * Prepended `/sbin:/usr/sbin' to the search path used for
    the `-f' switch (closes:Bug#50621).
  * Was chopping mails when a dot in a line was entered, fixed
    (closes:Bug#50683).
  * Added relative symlinks support to link dereferencing for `-f'.
  * Added `-L' option to prevent `-f' from following symlinks
    (closes:Bug#50679).

 -- Nicols Lichtmaier <nick@debian.org>  Sat, 20 Nov 1999 19:18:30 -0300

bug (3.2.7) unstable; urgency=medium

  * Fixed stty invocation (also fixed in previous NMU by Sean E. Perry
    <shaleh@debian.org>) (closes:Bug#48774).
  * Fixed some typos (closes:Bug#47696).
  * Updated `Standards-Version' to 3.1.0.
  * Added `Build-Depends' header.

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 14 Nov 1999 22:14:05 -0300

bug (3.2.6) unstable; urgency=medium

  * Fixed message when there were errors while sending the bug report.
    Rotate filenames when creating files for dead reports.
    Fixed security hole while creating some files in /var/tmp
    (closes:Bug#46574).    

 -- Nicols Lichtmaier <nick@debian.org>  Mon,  4 Oct 1999 22:53:40 -0300

bug (3.2.5) unstable; urgency=low

  * Fixed message: edit is the default action at the confirm prompt
    (closes:Bug#45886).
  * Fixed bug in finding out which packages provide a virtual package
    (closes:Bug#46050).
  * I had an idea, I've removed severity names when asking for severity =).
    The names are not descriptive for the general user, they should choose
    based on the severity description (closes:Bug#46058).
  * Added some "rulers" to aid the eye in finding where it should go
    to start reading.
  * Removed dependencies on base packages (closes:Bug#40019).

 -- Nicols Lichtmaier <nick@debian.org>  Sun,  3 Oct 1999 23:54:55 -0300

bug (3.2.4) unstable; urgency=low

  * Default answer didn't work in submit prompt (closes:Bug#45574, Bug#45587).

 -- Nicols Lichtmaier <nick@debian.org>  Mon, 20 Sep 1999 15:46:09 -0300

bug (3.2.3) unstable; urgency=low

  * Readded check for uppercase letters in packages, using
    [[:upper:]] instead. Thanks to Carlos Horny for the suggestion.
  * Fixed regexp to get name from /etc/passwd (closes: Bug#40936).
  * The user can go back to the editor from the confirm prompt
    (closes: Bug#44675, Bug#42250).
  * Moved docs and manpages under /usr/share.
  * Changed `Standards-Version' to 3.0.1.
  * Switched to debhelper.

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 19 Sep 1999 06:07:09 -0300

bug (3.2.2) unstable; urgency=low

  * Doesn't exiy if stty fails. Aliviates part of bug #34462.
  * Added nvi, vim, gvim, elvis, etc. to the list of editors that support
    `+linenum' (closes: #39212).
  * Uses a common function for yes/no questions.
  * If the bug report is cancelled, the text file is left in /tmp
    (closes: #22703). 
  * No longer uses editor exit status to decide if bug report was
    aborted because some broken editors exit with non-zero even
    when an edition was performed. Now just compares the file with a
    previos copy (closes: #31314, #31940). 

 -- Nicols Lichtmaier <nick@debian.org>  Mon, 14 Jun 1999 05:30:15 -0300

bug (3.2.1) unstable; urgency=low

  * `-p' option didn't work well when specifying bug text on command line.
  * Handles empy subjects, fixes bug #38860.
  * bugview auto backgrounds itself when called from X.
  * When using `-f' if file not found search in $PATH.
  * Added manpage for bugview.

 -- Nicols Lichtmaier <nick@debian.org>  Sun,  6 Jun 1999 02:38:07 -0300

bug (3.2.0) unstable; urgency=low

  * Added support for severity levels. Fixes bugs #17380, #28558,
    #29940, #36873 and #37474.
  * Uses date as version for virtual packages. Fixes bugs #25190.
  * Added bugview script from Adam Di Carlo <aph@debian.org>, fixes
    bug #30434.
  * Fixed message when there's no /usr/sbin/sendmail and the bug
    report is saved to a file. Fixes bug #32033.
  * Remove duplicate lines in package status. Fixes bug #29905.
  * Improved internal `realpath' function used with `-f', now resolves
    symlinked dirs in intermediate component of pathnames.
    Fixes bug #23821.
  * Updated maintainer address.
  * Updated description to show the new included script.
  * Documented the EMAIL environment variable in the manpage. Fixes
    bug #32917 and #27876.
  * Text can be given on command line, as stated in the manpage.
    Fixes bug #36055.

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 30 May 1999 00:36:34 -0300

bug (3.1.8) unstable; urgency=low

  * Added workaround for bash bug when checking if a lowercase letter
    belongs to a upper case range. Bash thinks that 'A' < 'f' < 'Z'.
    Fixes bugs #38067, #37979, #37049, #34875, #34832, #34763 and #33725.
  * User must answer 'y'/'n' or enter, bug will ask again otherwise, fixes
    bugs #34792, #31429, #29230.


=== debian/control ===
Source: bug
Build-Depends: gettext
Section: utils
Priority: optional
Maintainer: Nicols Lichtmaier <nick@debian.org>
Standards-Version: 3.1.0

Package: bug
Architecture: all
Depends: bash (>= 2.01.1-1), debianutils (>= 1.6), file
Recommends: mail-transport-agent
Replaces: debmake (<= 2.74)
Description: Bug Reporting Tool interfacing with the Bug Tracking System
 A script to ease the reporting of bugs. Automatically figures out version
 numbers of the package reported and all depending packages. Adds configfiles
 etc to the bugreport.
 .
 A script for easily accesing the bug database in the WWW is also included.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	make
	touch build

clean:
	dh_testdir
	rm -f build
	make clean
	dh_clean

binary-indep: build
	dh_testroot
	dh_testdir

binary-arch: build
	dh_testroot
	dh_testdir
	rm -rf debian/tmp debian/*/tmp
	install -d debian/tmp/usr/bin
	make install DESTDIR=debian/tmp
	dh_installdirs
	dh_installdocs README
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_installcron
	dh_installmanpages -pbug
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## bug 3.3.10.1

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-all: es.mo
+all: es.mo fr.mo
 
 %.mo : %.po
 	msgfmt -o $@ $<
@@ -16,3 +16,5 @@
 install:
 	install -d ../$(DESTDIR)/usr/share/locale/es/LC_MESSAGES
 	install -m644 es.mo ../$(DESTDIR)/usr/share/locale/es/LC_MESSAGES/bug.mo
+	install -d ../$(DESTDIR)/usr/share/locale/fr/LC_MESSAGES
+	install -m644 fr.mo ../$(DESTDIR)/usr/share/locale/fr/LC_MESSAGES/bug.mo

=== debian/changelog ===
bug (3.3.10.1) unstable; urgency=low

  * NMU
  * corrected build depends
    (closes: Bug#134477)
  * manpage already corrected
    (closes: Bug#81599)
  * corrected spelling errors in description
    (closes: Bug#124469)
  * added french po translation file
    (closes: Bug#87698)

 -- Noel Koethe <noel@debian.org>  Tue, 19 Feb 2002 21:16:00 +0100

bug (3.3.10) unstable; urgency=low

  * Fixed description of important bugs (copied from web site) (closes: #105925)

 -- Moshe Zadka <moshez@debian.org>  Sat,  4 Aug 2001 12:37:36 +0300

bug (3.3.9) unstable; urgency=low

  * Fixed url in bugview to access bugreports by number
    (closes:Bug#84478).
  * Did s/fichero/archivo/ in the Spanish messages.
  * If you use the -f option and give `bug' a coredump, it will find the
    package for you, extract a coredump, and include it in the report.
    So, if you see a coredump lying around, you could just do 'bug -f core'.

 -- Nicols Lichtmaier <nick@debian.org>  Mon,  5 Feb 2001 22:15:01 -0300

bug (3.3.8) unstable; urgency=low

  * Uses new options in bash 2.04's read builtin. Updated depend in
    the control file.
  * Added simple spell checker support (with ispell).
  * Better browser detection for bugview. It will try if there's a browser
    in use and use it. So now there's no longer a netscape only default
    (closes:Bug#77675).
  * The bugview script now uses the url for the CGI directly, rather than
    the alias, since the alias translates %2b to spaces and thus packages
    like g++ couldn't be accessed.
  * Encode problematic characters in package names to %<ascii code in hex>.
    Now g++ can be viewed (closes:Bug#81191).
  * Now bugview knows how to open the url with the -remote option of
    Netscape and Mozilla.

 -- Nicols Lichtmaier <nick@debian.org>  Wed, 31 Jan 2001 01:50:28 -0300

bug (3.3.7) unstable; urgency=low

  * Start browser in the background only if we know it's an X one
    (closes:Bug#56207,Bug#58625,Bug#75501).
  * Bugview won't use netscape when UID = 0 (closes:Bug#74447).

 -- Nicols Lichtmaier <nick@debian.org>  Wed, 25 Oct 2000 00:24:34 -0300

bug (3.3.6) unstable; urgency=low

  * Fixed pseudo packages descriptions again, with help from Josip Rodin
    (closes:Bug#72363).

 -- Nicols Lichtmaier <nick@debian.org>  Sun, 24 Sep 2000 22:09:29 -0300

bug (3.3.5) unstable; urgency=low

  * Updated bugview to use new way of accessing bug reports
    (closes:Bug#70477,Bug#72224).
  * Removed pseudo package `manual', reordered list (closes:Bug#69493).
  * Wasn't recognizing nonus.debian.org as a pseudo package.

 -- Nicols Lichtmaier <nick@debian.org>  Sat, 23 Sep 2000 16:55:44 -0300

bug (3.3.4) unstable; urgency=low

  * Added new control header `send-to' where non-Debian packages can specify
    non-Debian bug tracking systems. See README.developers.

 -- Nicols Lichtmaier <nick@debian.org>  Sat,  8 Jul 2000 19:02:36 -0300

bug (3.3.3) unstable; urgency=low

  * Added a `-g' option to report generic bugs.  Bug won't include config
    files or info about the local system.
  * s/inclusing/including/ (closes:Bug#62332:).
  * Fixed some spelling mistakes in README.developers, the long description,
    and one in `bug' itself.
  * Removed the old "pseudo packages" for the boot-floppies from the
    accepted list.
  * Noted for the first time that the online help is full justified, and
    fixed my newly added entries =).
  * Updated Spanish translation.
  * If there aren't developer customization files, tries the ones
    supplied with `bug' in the `default'  subdir (like in the menu package).
  * Added customization for mutt from muttbug (by
    Thomas Roessler <roessler@guug.de>).

 -- Nicols Lichtmaier <nick@debian.org>  Fri,  9 Jun 2000 22:41:40 -0300

bug (3.3.2) unstable; urgency=low

  * Fixed reporting of bugs in non-installed packages.

 -- Nicols Lichtmaier <nick@debian.org>  Sat,  4 Mar 2000 19:23:39 -0300

bug (3.3.1) unstable; urgency=low

  * Fixed silly bug.
  * Fixed -z option (closes:Bug#50203).
  * Ignore conffiles that, after removing comments, are larger than 8k
    and limit total conffile size to 16k (closes:Bug#21603).
  * Fixed stripping of comments.
  * Small fix to README.

 -- Nicols Lichtmaier <nick@debian.org>  Thu,  2 Mar 2000 01:59:19 -0300

bug (3.3.0) unstable; urgency=low

  * Added several features so maintainers can control bug behaviour for
    their packages (closes:Bug#58815,Bug#53143). See README.developers.

 -- Nicols Lichtmaier <nick@debian.org>  Wed,  1 Mar 2000 01:38:11 -0300

=== debian/control ===
Source: bug
Build-Depends: debhelper (>> 3.0.0), gettext
Section: utils
Priority: optional
Maintainer: Nicols Lichtmaier <nick@debian.org>
Build-Depends: debhelper (>> 3.0.0), gettext
Standards-Version: 3.1.0

Package: bug
Architecture: all
Depends: bash (>= 2.04-1), debianutils (>= 1.6), file
Recommends: mail-transport-agent
Replaces: debmake (<= 2.74)
Description: Bug Reporting Tool interfacing with the Bug Tracking System
 A script to ease the reporting of bugs. Automatically figures out version
 numbers of the package reported and all depending packages. Adds config files
 etc to the bug report.
 .
 A script for easily accessing the bug database in the WWW is also included.

=== debian/rules ===
--- 
+++ 
@@ -20,22 +20,23 @@
 	dh_testdir
 	rm -rf debian/tmp debian/*/tmp
 	install -d debian/tmp/usr/bin
+	install -d debian/tmp/usr/share/bug
+	cp -rp default debian/tmp/usr/share/bug
 	make install DESTDIR=debian/tmp
 	dh_installdirs
-	dh_installdocs README
-	dh_installexamples
+	dh_installdocs README README.developers
+#	dh_installexamples
 	dh_installchangelogs
 	dh_installmenu
-	dh_installcron
+#	dh_installcron
 	dh_installmanpages -pbug
-	dh_movefiles
-	dh_strip
+#	dh_movefiles
+#	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
+#	dh_suidregister
 	dh_shlibdeps
 	dh_gencontrol
-	dh_makeshlibs
 	dh_installdeb
 	dh_md5sums
 	dh_builddeb

## bug 4.0.0

=== debian/changelog ===
bug (4.0.0) unstable; urgency=low

  * Initial (and hopefully final) release of this transition package.
    (Closes: #185258)
  * For changelog entries of the old "bug" package, please refer to the
    release in woody (3.3.10.1).

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Aug 2003 23:50:11 -0400

=== debian/control ===
Source: bug
Section: utils
Priority: extra
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends-Indep: debhelper (>> 4.1.51)
Standards-Version: 3.6.1

Package: bug
Architecture: all
Depends: reportbug (>> 2.26)
Description: Reports problems with the Debian distribution (transition package)
 The "bug" command, which was formerly provided by this package, is no
 longer included in Debian.  This package installs the
 mostly-compatible "reportbug" package in its place.
 .
 See /usr/share/doc/bug/NEWS.Debian.gz for details on how to
 transition to using reportbug.
 .
 Once you have installed this package and its dependencies, and you
 are familiar with the features of reportbug, the "bug" package can be
 safely purged from your system.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/bug.sgml > bug.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/bug.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/bug


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bug report.gold-icpc-ifort

=== Makefile ===
# Makefile    (GNU gold/Intel icpc/Intel ifort test case)

ifdef GOLD
USE_GOLD = 1
LD_PATH = /mnt/nobackup/bs/gold/bin
else
USE_GOLD = 0
LD_PATH = /usr/bin
endif

FC  = ifort -O0
CXX = icpc  -O0
LD =  icpc  -O0 -v -Qlocation,ld,$(LD_PATH)

.PHONY: versions check clean
versions:
	$(CXX) --version
	$(FC) --version
	$(LD) --version
	$(LD_PATH)/ld --version

check: test.bin
	./test.bin

test.bin: test.o TestClass.o fibo_cycle.o
	$(LD) -o $@ $^

test.o: CPPFLAGS = -DUSE_GOLD=$(USE_GOLD)
test.o: test.C TestClass.h Makefile

TestClass.o: TestClass.C TestClass.h fortran_subs.h
fibo_cycle.o: fibo_cycle.F

clean: 
	rm -fr *.o test.bin

# End of Makefile -----------------------------------------
